<p align="center">
    <a href="https://css.sitetent.com">
        <img width="600" src="http://css.sitetent.com/public/img/banner.png">
    </a>
</p>


# Tent CSS 
[![Build Status](https://travis-ci.org/sitetent/tentcss.svg?branch=master)](https://travis-ci.org/sitetent/tentcss)
[![npm version](https://badge.fury.io/js/tent-css.svg)](https://badge.fury.io/js/tent-css)
<a href="http://releases.sitetent.com">
  <img src="https://api.releasepage.co/v1/pages/46de08fb-8032-4721-922d-b87a77dfa993/badge.svg?apiKey=live.fNwBmMaDbfxgFaT4" />
</a>
[![Gitter chat](https://badges.gitter.im/tentcss/tentcss.png)](https://gitter.im/tentcss/tentcss)

A CSS survival kit. Includes only the essentials to make camp.

Website - <http://css.sitetent.com/>

Follow on Twitter - [@tentcss](https://twitter.com/tentcss)

## Installation

You can install via [bower](http://bower.io):

```
$ bower install --save tent-css
```

Or, you can install via [npm](http://npmjs.org):

```
$ npm install --save tent-css
```
Or, you can clone the source:

```
$ git clone https://github.com/sitetent/tentcss.git
```

Read more about installation on the [documentation](https://css.sitetent.com/docs.html).

## How to Use

Documentation for Tent CSS is updated on the official website:

[Tent CSS Documentation](https://css.sitetent.com/docs.html)

## Related Projects

- [Tent CSS Markup Snippets Extension for Visual Studio Code](https://github.com/sitetent/tent-snippets-vsc)

## Contributing

You can help make Tent CSS event better!

### Before you contribute

Please before opening a pull request, inquire via GitHub issues to make a case for any proposed change. 
Please be as specific as possibe, consider including code examples too.

Tent CSS has been designed with strict principles in mind that have made it the attractive framework that it is.
Please be mindful that any potential feature requests must conform to these principles.

### Creating a pull request

1. Fork the repository.
2. Create a feature branch. `git checkout -b new-feature`
3. Install the dependencies and run `npm install`
4. Build any feature before submitting by running `npm run build`
5. Once you have pushed the branch to Github submit a new [Pull Request](https://github.com/sitetent/tentcss/pulls).

## License

MIT

## Credit

- All of the authors and contributors to the great open source frameworks that have set the pace thus far and going forward.
- The Tent CSS website full-screen hero photo is by [Jamison McAndie](https://unsplash.com/@jamomca).
- Tent CSS is developed with caffine by [Aaron Mazade](http://aaronmazade.com) ([@ulinaaron](https://twitter.com/ulinaaron)).


## Roadmap

- Addons for more objects and components.
- Better mixin support for default objects and components. Will allow those that desire to include mixins into their own classes rather than class chaining to make object and component variations.
- Example boilerplates for common page types such as marketing and landing pages.
